For the complete documentation index, see llms.txt. This page is also available as Markdown.

deleteLoanApp

Perform various delete operations on loan applications.

Symitar eDocs References: Coming soon.

Operations

deleteLoanApp

post

Deletes a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteLoanApp
POST /nexum/627/persistent/account/deleteLoanApp HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 178

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "nxAttributes": {},
  "MessageId": "deleteLoanApp"
}

deleteLoanAppEscrow

post

Deletes an escrow for a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

LoanAppEscrowLocatorintegerRequired

The loan application escrow locator.

Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteLoanAppEscrow
POST /nexum/627/persistent/account/deleteLoanAppEscrow HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 203

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": 1,
  "LoanAppEscrowLocator": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "nxAttributes": {},
  "MessageId": "deleteLoanAppEscrow"
}

deleteLoanAppEscrowAnalysis

post

Deletes an analysis of escrow for a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

LoanAppEscrowAnalysisLocatorintegerRequired

The loan application escrow analysis locator.

Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteLoanAppEscrowAnalysis
POST /nexum/627/persistent/account/deleteLoanAppEscrowAnalysis HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 211

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": 1,
  "LoanAppEscrowAnalysisLocator": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "nxAttributes": {},
  "MessageId": "deleteLoanAppEscrowAnalysis"
}

deleteLoanAppFinance

post

Deletes finance information for a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

LoanAppFinanceLocatorintegerRequired

The loan application finance locator.

Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteLoanAppFinance
POST /nexum/627/persistent/account/deleteLoanAppFinance HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 204

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": 1,
  "LoanAppFinanceLocator": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "nxAttributes": {},
  "MessageId": "deleteLoanAppFinance"
}

deleteLoanAppNote

post

Deletes a note for a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

LoanAppNoteLocatorintegerRequired

The loan application note locator.

Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteLoanAppNote
POST /nexum/627/persistent/account/deleteLoanAppNote HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 201

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": 1,
  "LoanAppNoteLocator": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "nxAttributes": {},
  "MessageId": "deleteLoanAppNote"
}

deleteLoanAppPerson

post

Removes a person from a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

LoanAppPersonLocatorintegerRequired

The loan application person locator.

Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteLoanAppPerson
POST /nexum/627/persistent/account/deleteLoanAppPerson HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 203

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": 1,
  "LoanAppPersonLocator": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "nxAttributes": {},
  "MessageId": "deleteLoanAppPerson"
}

deleteLoanAppSchedule

post

Deletes a schedule for a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

LoanAppScheduleIdstringRequired

The loan application schedule ID.

Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteLoanAppSchedule
POST /nexum/627/persistent/account/deleteLoanAppSchedule HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 200

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": 1,
  "LoanAppScheduleId": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "nxAttributes": {},
  "MessageId": "deleteLoanAppSchedule"
}

deleteLoanAppPledge

post

Deletes a pledge for a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

LoanAppPledgeLocatorintegerRequired

The loan application pledge locator.

Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteLoanAppPledge
POST /nexum/627/persistent/account/deleteLoanAppPledge HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 387

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "LoanAppId": "text",
  "LoanAppPledgeLocator": 1,
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "nxAttributes": {}
}

deleteLoanAppTracking

post

Deletes tracking information for a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

LoanAppTrackingLocatorintegerRequired

The loan application tracking locator.

Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteLoanAppTracking
POST /nexum/627/persistent/account/deleteLoanAppTracking HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 389

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "LoanAppId": "text",
  "LoanAppTrackingLocator": 1,
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "nxAttributes": {}
}

Last updated

Was this helpful?